cascading.flow.planner.iso.finder

## Class GraphFinder

- java.lang.Object
- - cascading.flow.planner.iso.finder.GraphFinder

-     public class GraphFinder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphFinder(ExpressionGraph matchExpression)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Match` | `findAllMatches(ElementGraph elementGraph)`
    `Match` | `findAllMatches(PlannerContext plannerContext, ElementGraph elementGraph)`
    `Match` | `findAllMatches(PlannerContext plannerContext, ElementGraph elementGraph, java.util.Set<FlowElement> exclusions)`
    `Match` | `findAllMatchesOnPrimary(ElementGraph elementGraph)`
    `Match` | `findAllMatchesOnPrimary(PlannerContext plannerContext, ElementGraph elementGraph)`
    `Match` | `findAllMatchesOnPrimary(PlannerContext plannerContext, ElementGraph elementGraph, java.util.Set<FlowElement> excludes)`
    `Match` | `findFirstMatch(ElementGraph elementGraph)`
    `protected Match` | `findFirstMatch(cascading.flow.planner.iso.finder.FinderContext finderContext, PlannerContext plannerContext, ElementGraph elementGraph)`
    `Match` | `findFirstMatch(PlannerContext plannerContext, ElementGraph elementGraph)`
    `Match` | `findFirstMatch(PlannerContext plannerContext, ElementGraph elementGraph, java.util.Set<FlowElement> exclusions)`
    `protected java.util.Map<ElementExpression,FlowElement>` | `findMapping(cascading.flow.planner.iso.finder.FinderContext finderContext, PlannerContext plannerContext, ElementGraph elementGraph)`
    `java.util.Map<ElementExpression,FlowElement>` | `findMapping(PlannerContext plannerContext, ElementGraph elementGraph)`
    `protected Match` | `findMatchesOnPrimary(cascading.flow.planner.iso.finder.FinderContext finderContext, PlannerContext plannerContext, ElementGraph elementGraph, boolean firstOnly)`
    `Match` | `findMatchesOnPrimary(PlannerContext plannerContext, ElementGraph elementGraph, boolean firstOnly, java.util.Set<FlowElement> excludes)`
    `java.util.Set<Scope>` | `getCapturedEdges(PlannerContext plannerContext, ElementGraph elementGraph, java.util.Map<ElementExpression,FlowElement> vertexMapping)`
    `java.util.Map<ScopeExpression,java.util.Set<Scope>>` | `getEdgeMapping(PlannerContext plannerContext, ElementGraph elementGraph, java.util.Map<ElementExpression,FlowElement> vertexMapping)`
    `ExpressionGraph` | `getMatchExpression()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphFinder

          public GraphFinder(ExpressionGraph matchExpression)

  - ### Method Detail

    - #### getMatchExpression

          public ExpressionGraph getMatchExpression()

    - #### findFirstMatch

          public Match findFirstMatch(ElementGraph elementGraph)

    - #### findFirstMatch

          public Match findFirstMatch(PlannerContext plannerContext,
                             ElementGraph elementGraph)

    - #### findFirstMatch

          public Match findFirstMatch(PlannerContext plannerContext,
                             ElementGraph elementGraph,
                             java.util.Set<FlowElement> exclusions)

    - #### findFirstMatch

          protected Match findFirstMatch(cascading.flow.planner.iso.finder.FinderContext finderContext,
                             PlannerContext plannerContext,
                             ElementGraph elementGraph)

    - #### findAllMatches

          public Match findAllMatches(ElementGraph elementGraph)

    - #### findAllMatches

          public Match findAllMatches(PlannerContext plannerContext,
                             ElementGraph elementGraph)

    - #### findAllMatches

          public Match findAllMatches(PlannerContext plannerContext,
                             ElementGraph elementGraph,
                             java.util.Set<FlowElement> exclusions)

    - #### findAllMatchesOnPrimary

          public Match findAllMatchesOnPrimary(ElementGraph elementGraph)

    - #### findAllMatchesOnPrimary

          public Match findAllMatchesOnPrimary(PlannerContext plannerContext,
                                      ElementGraph elementGraph)

    - #### findMatchesOnPrimary

          public Match findMatchesOnPrimary(PlannerContext plannerContext,
                                   ElementGraph elementGraph,
                                   boolean firstOnly,
                                   java.util.Set<FlowElement> excludes)

    - #### findAllMatchesOnPrimary

          public Match findAllMatchesOnPrimary(PlannerContext plannerContext,
                                      ElementGraph elementGraph,
                                      java.util.Set<FlowElement> excludes)

    - #### findMatchesOnPrimary

          protected Match findMatchesOnPrimary(cascading.flow.planner.iso.finder.FinderContext finderContext,
                                   PlannerContext plannerContext,
                                   ElementGraph elementGraph,
                                   boolean firstOnly)

    - #### getEdgeMapping

          public java.util.Map<ScopeExpression,java.util.Set<Scope>> getEdgeMapping(PlannerContext plannerContext,
                                                                           ElementGraph elementGraph,
                                                                           java.util.Map<ElementExpression,FlowElement> vertexMapping)

    - #### getCapturedEdges

          public java.util.Set<Scope> getCapturedEdges(PlannerContext plannerContext,
                                              ElementGraph elementGraph,
                                              java.util.Map<ElementExpression,FlowElement> vertexMapping)

    - #### findMapping

          public java.util.Map<ElementExpression,FlowElement> findMapping(PlannerContext plannerContext,
                                                                 ElementGraph elementGraph)

    - #### findMapping

          protected java.util.Map<ElementExpression,FlowElement> findMapping(cascading.flow.planner.iso.finder.FinderContext finderContext,
                                                                 PlannerContext plannerContext,
                                                                 ElementGraph elementGraph)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.